Identity Manager JBoss 7.2 and WildFly 15.0.x Support

book

Article ID: 144116

calendar_today

Updated On:

Products

CA Identity Manager CA Identity Governance CA Identity Portal CA Identity Suite

Issue/Introduction

The Release Notes of Identity Manager 14.3 CP1 document states that there is a migration tool to migrate to JBoss EAP 7.2 or WildFly 15.0.x (see link below). However, the support matrix does not include JBoss EAP 7.2, nor WildFly 15.0.x. The Identity Manager 14.3 documentation also has no reference for installation on JBoss EAP 7.2, nor WildFly 15.0.x.

Question: Is it possible to install Identity Manager 14.3 directly on JBoss 7.2 or WildFly 15.0.x?

 http://techdocs.broadcom.com/content/broadcom/techdocs/us/en/ca-enterprise-software/layer7-identity-and-access-management/identity-manager/14-3/installing/install-on-jboss-or-wildfly/install-jboss-or-wildfly.html

 http://techdocs.broadcom.com/content/broadcom/techdocs/us/en/ca-enterprise-software/layer7-identity-and-access-management/identity-manager/14-3/release-information/Release-Notes---14_3-Cumulative-Patches/Support-for-JBoss-EAP-7_2-and-WildFly-15_0_x.html

 

 

Environment

Release : 14.3

Component : CA IDENTITY SUITE (VIRTUAL APPLIANCE), CA IDENTITY MANAGER

Resolution

In the Release Notes - 14.3 Cumulative Patches document, i.e.

http://techdocs.broadcom.com/content/broadcom/techdocs/us/en/ca-enterprise-software/layer7-identity-and-access-management/identity-manager/14-3/release-information/Release-Notes---14_3-Cumulative-Patches.html

there is following description, i.e.

From 14.3 CP1 onward, Identity Manager supports JBoss 7.2 and WildFly 15.0.x as application servers.

It is clear that Identity Manager supports JBoss 7.2 and WildFly 15.0.x only after you apply CP1 on Identity Manager 14.3 installation, thus we offer the Migration Tool.

You cannot directly install 14.3 on JBoss 7.2, nor WildFly 15.0.x. You need to install 14.3 firstly on its supported JBoss 6.4 or WildFly 8.2 and then apply CP1. After that you can utilize the migration tool to migrate/upgrade to JBoss 7.2 or WildFly 15.0.x. Please refer to the following document for details.

http://techdocs.broadcom.com/content/broadcom/techdocs/us/en/ca-enterprise-software/layer7-identity-and-access-management/identity-manager/14-3/release-information/Release-Notes---14_3-Cumulative-Patches/Support-for-JBoss-EAP-7_2-and-WildFly-15_0_x.html

Support for new deployments of the Identity Suite servers to JBoss EAP 7.2 and/or WildFly 15 will be provided in a future release of Identity Suite.